- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherVariableResult Class Reference

The OtherVariableResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherVariableResult:

[legend]
List of all members.

## Public Member Functions
| OtherVariableResult ()
| Default constructor.
| ~OtherVariableResult ()
| Class destructor.
bool | IsEqual (OtherVariableResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| OtherVariableResult ()
| Default constructor.
| ~OtherVariableResult ()
| Class destructor.
## Public Attributes
int | numberOfVar
| the number of variables which have values for this particular type of result
int | numberOfEnumerations
| the number of distinct values for this particular type of result
std::string | name
| the name of the result the user is defining
std::string | value
| this element allows a specific value associated with this particular type of result
std::string | description
| a brief description of the type of result
OtherVarResult ** | var
OtherOptionEnumeration ** | enumeration
std::vector< OtherVarResult * > | var

## Detailed Description

The OtherVariableResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with variables

Definition at line 1095 of file OSResult.h.

## Constructor & Destructor Documentation

OtherVariableResult::OtherVariableResult | ( |  | ) |

Default constructor.

Definition at line 491 of file OSResult.cpp.

OtherVariableResult::~OtherVariableResult | ( |  | ) |

Class destructor.

Definition at line 507 of file OSResult.cpp.

References enumeration, numberOfEnumerations, numberOfVar, and var.

OtherVariableResult::OtherVariableResult | ( |  | ) |

Default constructor.

OtherVariableResult::~OtherVariableResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OtherVariableResult::IsEqual | ( | OtherVariableResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 6370 of file OSResult.cpp.

bool OtherVariableResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7884 of file OSResult.cpp.

References enumeration, OSRand(), OtherOptionEnumeration::setRandom(), OtherVarResult::setRandom(), and var.

Referenced by VariableSolution::setRandom().

## Member Data Documentation

int OtherVariableResult::numberOfVar

the number of variables which have values for this particular type of result

Definition at line 1101 of file OSResult.h.

Referenced by main(), OSrL2Gams::writeSolution(), and ~OtherVariableResult().

int OtherVariableResult::numberOfEnumerations

the number of distinct values for this particular type of result

Definition at line 1106 of file OSResult.h.

Referenced by OSResult::getOtherVariableResultEnumerationDescription(), OSResult::getOtherVariableResultEnumerationEl(), OSResult::getOtherVariableResultEnumerationNumberOfEl(), OSResult::getOtherVariableResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), tempPrintArrays(), and ~OtherVariableResult().

std::string OtherVariableResult::name

the name of the result the user is defining

Definition at line 1109 of file OSResult.h.

Referenced by main(), and OSrL2Gams::writeSolution().

std::string OtherVariableResult::value

this element allows a specific value associated with this particular type of result

Definition at line 1114 of file OSResult.h.

std::string OtherVariableResult::description

a brief description of the type of result

Definition at line 1117 of file OSResult.h.

Referenced by main().

OtherVarResult** OtherVariableResult::var

Definition at line 1123 of file OSResult.h.

Referenced by main(), setRandom(), OSrL2Gams::writeSolution(), and ~OtherVariableResult().

OtherOptionEnumeration** OtherVariableResult::enumeration

Definition at line 1129 of file OSResult.h.

Referenced by OSResult::getOtherVariableResultEnumerationDescription(), OSResult::getOtherVariableResultEnumerationEl(), OSResult::getOtherVariableResultEnumerationNumberOfEl(), OSResult::getOtherVariableResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), setRandom(), tempPrintArrays(), and ~OtherVariableResult().

std::vector<OtherVarResult*> OtherVariableResult::var

Definition at line 631 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp